Calendars
Update Calendar by Locator
Updates the calendar resolved by exactly one of id or external_id within this organisation. external_id is immutable.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
id?string
Unique identifier for the resource.
Format
uuidexternal_id?string
Partner-owned, case-sensitive calendar identifier that is unique within the organisation.
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Human-readable name of the resource.
Length
1 <= lengthscheduling_enabled?boolean
Scheduling Enabled value for this resource.
opening_hours?array<>
Opening Hours value for this resource.
Response Body
application/json
curl -X PATCH "https://api.getmateo.com/v1/calendars/by" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "external_id": "string", "calendar_resource_id": "b91c4c5a-de69-4276-8281-8d05c6c9e77d", "type": "provider", "is_default": true, "scheduling_enabled": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}